Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_interp_cases.h	(revision 5117)
@@ -5,5 +5,5 @@
 ! Forcing_LES case: constant dq_dyn
 !---------------------------------------------------------------------
-      if (forcing_LES) THEN
+      IF (forcing_LES) THEN
         DO l = 1,llm
           d_q_adv(l,1) = dq_dyn(l,1)
@@ -14,5 +14,5 @@
 ! Interpolation forcing in time and onto model levels
 !---------------------------------------------------------------------
-      if (forcing_GCSSold) THEN
+      IF (forcing_GCSSold) THEN
        CALL get_uvd(it,timestep,fich_gcssold_ctl,fich_gcssold_dat,              &
      &               ht_gcssold,hq_gcssold,hw_gcssold,                          &
@@ -21,5 +21,5 @@
      &               imp_fcg_gcssold,ts_fcg_gcssold,                            &
      &               Tp_fcg_gcssold,Turb_fcg_gcssold)
-       if (prt_level.ge.1) THEN
+       IF (prt_level.ge.1) THEN
          print *,' get_uvd -> hqturb_gcssold ',it,hqturb_gcssold
        endif
@@ -46,6 +46,6 @@
 ! Interpolation Toga forcing 
 !---------------------------------------------------------------------
-      if (forcing_toga) THEN
-       if (prt_level.ge.1) THEN
+      IF (forcing_toga) THEN
+       IF (prt_level.ge.1) THEN
         PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_toga=',     &
@@ -61,5 +61,5 @@
      &             ,ht_prof,vt_prof,hq_prof,vq_prof)
 ! EV: tg instead of ts_cur
-        if (type_ts_forcing.eq.1) tg = ts_prof ! 
+        IF (type_ts_forcing.EQ.1) tg = ts_prof !
 
 ! vertical interpolation:
@@ -91,6 +91,6 @@
 ! Interpolation DICE forcing 
 !---------------------------------------------------------------------
-      if (forcing_dice) THEN
-       if (prt_level.ge.1) THEN
+      IF (forcing_dice) THEN
+       IF (prt_level.ge.1) THEN
         PRINT*,'#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_dice=',&
      &    day,day1,(day-day1)*86400.,(day-day1)*86400/dt_dice
@@ -111,5 +111,5 @@
 !     enddo
 ! EV tg instead of ts_cur
-        if (type_ts_forcing.eq.1) tg = tg_prof ! SST used 
+        IF (type_ts_forcing.EQ.1) tg = tg_prof ! SST used
 
 ! vertical interpolation:
@@ -191,6 +191,6 @@
 ! Interpolation gabls4 forcing 
 !---------------------------------------------------------------------
-      if (forcing_gabls4 ) THEN
-       if (prt_level.ge.1) THEN
+      IF (forcing_gabls4 ) THEN
+       IF (prt_level.ge.1) THEN
         PRINT*,'#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_gabls4=',&
      &    day,day1,(day-day1)*86400.,(day-day1)*86400/dt_gabls4
@@ -203,5 +203,5 @@
      &             ,ug_profg,vg_profg,ht_profg,hq_profg,tg_profg)
 !EV tg instead of ts_cur
-        if (type_ts_forcing.eq.1) tg = tg_prof ! SST used
+        IF (type_ts_forcing.EQ.1) tg = tg_prof ! SST used
 
 ! vertical interpolation:
@@ -232,5 +232,5 @@
 ! Interpolation forcing TWPice
 !---------------------------------------------------------------------
-      if (forcing_twpice) THEN
+      IF (forcing_twpice) THEN
         PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_twpi=',     &
@@ -277,7 +277,7 @@
 !wind nudging above 500m with a 2h time scale
         do l=1,llm
-        if (nudge_wind) THEN
+        IF (nudge_wind) THEN
 !           if (phi(l).gt.5000.) THEN
-        if (phi(l).gt.0.) THEN
+        IF (phi(l).gt.0.) THEN
         u(l)=u(l)+timestep*(u_mod(l)-u(l))/(2.*3600.)
         v(l)=v(l)+timestep*(v_mod(l)-v(l))/(2.*3600.)
@@ -290,12 +290,12 @@
 
 !CR:nudging of q and theta with a 6h time scale above 15km
-        if (nudge_thermo) THEN
+        IF (nudge_thermo) THEN
         do l=1,llm
            zz(l)=phi(l)/9.8
-           if ((zz(l).le.16000.).and.(zz(l).gt.15000.)) THEN
+           IF ((zz(l).le.16000.).AND.(zz(l).gt.15000.)) THEN
              zfact=(zz(l)-15000.)/1000.
         q(l,1)=q(l,1)+timestep*(q_mod(l)-q(l,1))/(6.*3600.)*zfact
         temp(l)=temp(l)+timestep*(t_mod(l)-temp(l))/(6.*3600.)*zfact
-           else if (zz(l).gt.16000.) THEN
+           ELSE IF (zz(l).gt.16000.) THEN
         q(l,1)=q(l,1)+timestep*(q_mod(l)-q(l,1))/(6.*3600.)
         temp(l)=temp(l)+timestep*(t_mod(l)-temp(l))/(6.*3600.)
@@ -309,5 +309,5 @@
        alpha = rd*temp(l)*(1.+(rv/rd-1.)*q(l,1))/play(l)
 !calcul de l'advection totale
-        if (cptadvw) THEN
+        IF (cptadvw) THEN
         d_t_adv(l) = alpha*omega(l)/rcpd+ht_mod(l)-d_t_dyn_z(l)
 !        PRINT*,'temp vert adv',l,ht_mod(l),vt_mod(l),-d_t_dyn_z(l)
@@ -328,5 +328,5 @@
 !---------------------------------------------------------------------
 
-       if (forcing_amma) THEN
+       IF (forcing_amma) THEN
         PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_amma=',     &
@@ -410,5 +410,5 @@
 ! Interpolation forcing Rico
 !---------------------------------------------------------------------
-      if (forcing_rico) THEN
+      IF (forcing_rico) THEN
 !      CALL lstendH(llm,omega,dt_dyn,dq_dyn,du_dyn, dv_dyn,q,temp,u,v,play)
        CALL lstendH(llm,nqtot,omega,dt_dyn,dq_dyn,q,temp,u,v,play)
@@ -424,5 +424,5 @@
 ! Interpolation forcing Arm_cu
 !---------------------------------------------------------------------
-      if (forcing_armcu) THEN
+      IF (forcing_armcu) THEN
         PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_armcu=',    &
@@ -479,5 +479,5 @@
 ! Interpolation forcing in time and onto model levels
 !---------------------------------------------------------------------
-      if (forcing_sandu) THEN
+      IF (forcing_sandu) THEN
         PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_sandu=',    &
@@ -492,5 +492,5 @@
      &             ,ts_sandu,ts_prof)
 ! EV tg instead of ts_cur
-        if (type_ts_forcing.eq.1) tg = ts_prof ! SST used in read_tsurf1d
+        IF (type_ts_forcing.EQ.1) tg = ts_prof ! SST used in read_tsurf1d
 
 ! vertical interpolation:
@@ -560,5 +560,5 @@
 ! Interpolation forcing in time and onto model levels
 !---------------------------------------------------------------------
-      if (forcing_astex) THEN
+      IF (forcing_astex) THEN
         PRINT*,                                                             &
      & '#### ITAP,day,day1,(day-day1)*86400,(day-day1)*86400/dt_astex=',    &
@@ -574,5 +574,5 @@
      &             ,ufa_prof,vfa_prof)
 ! EV tg instead of ts_cur
-        if (type_ts_forcing.eq.1) tg = ts_prof ! SST used 
+        IF (type_ts_forcing.EQ.1) tg = ts_prof ! SST used
 ! vertical interpolation:
       CALL interp_astex_vertical(play,nlev_astex,plev_profa                 &
@@ -642,5 +642,5 @@
 ! Interpolation forcing standard case
 !---------------------------------------------------------------------
-      if (forcing_case) THEN
+      IF (forcing_case) THEN
          PRINT*,'FORCING CASE forcing_case'
 
@@ -714,5 +714,5 @@
 
 !wind nudging 
-      if (nudge_u.gt.0.) THEN
+      IF (nudge_u.gt.0.) THEN
         do l=1,llm
            u(l)=u(l)+timestep*(u_mod_cas(l)-u(l))/(nudge_u)
@@ -724,5 +724,5 @@
       endif
 
-      if (nudge_v.gt.0.) THEN
+      IF (nudge_v.gt.0.) THEN
         do l=1,llm
            v(l)=v(l)+timestep*(v_mod_cas(l)-v(l))/(nudge_v)
@@ -734,5 +734,5 @@
       endif
 
-      if (nudge_w.gt.0.) THEN
+      IF (nudge_w.gt.0.) THEN
         do l=1,llm
            w(l)=w(l)+timestep*(w_mod_cas(l)-w(l))/(nudge_w)
@@ -745,10 +745,10 @@
 
 !nudging of q and temp 
-      if (nudge_t.gt.0.) THEN
+      IF (nudge_t.gt.0.) THEN
         do l=1,llm
            temp(l)=temp(l)+timestep*(t_mod_cas(l)-temp(l))/(nudge_t)
         enddo
       endif
-      if (nudge_q.gt.0.) THEN
+      IF (nudge_q.gt.0.) THEN
         do l=1,llm
            q(l,1)=q(l,1)+timestep*(q_mod_cas(l)-q(l,1))/(nudge_q)
@@ -762,33 +762,33 @@
 
 !calcul advection
-        if ((tend_u.eq.1).and.(tend_w.eq.0)) THEN
+        IF ((tend_u.EQ.1).AND.(tend_w.EQ.0)) THEN
            d_u_adv(l)=du_mod_cas(l)
-        else if ((tend_u.eq.1).and.(tend_w.eq.1)) THEN
+        ELSE IF ((tend_u.EQ.1).AND.(tend_w.EQ.1)) THEN
            d_u_adv(l)=hu_mod_cas(l)-d_u_dyn_z(l)
         endif
 
-        if ((tend_v.eq.1).and.(tend_w.eq.0)) THEN
+        IF ((tend_v.EQ.1).AND.(tend_w.EQ.0)) THEN
            d_v_adv(l)=dv_mod_cas(l)
-        else if ((tend_v.eq.1).and.(tend_w.eq.1)) THEN
+        ELSE IF ((tend_v.EQ.1).AND.(tend_w.EQ.1)) THEN
            d_v_adv(l)=hv_mod_cas(l)-d_v_dyn_z(l)
         endif
 
-        if ((tend_t.eq.1).and.(tend_w.eq.0)) THEN
+        IF ((tend_t.EQ.1).AND.(tend_w.EQ.0)) THEN
 !           d_t_adv(l)=alpha*omega(l)/rcpd+dt_mod_cas(l)
            d_t_adv(l)=alpha*omega(l)/rcpd-dt_mod_cas(l)
-        else if ((tend_t.eq.1).and.(tend_w.eq.1)) THEN
+        ELSE IF ((tend_t.EQ.1).AND.(tend_w.EQ.1)) THEN
 !           d_t_adv(l)=alpha*omega(l)/rcpd+ht_mod_cas(l)-d_t_dyn_z(l)
            d_t_adv(l)=alpha*omega(l)/rcpd-ht_mod_cas(l)-d_t_dyn_z(l)
         endif
 
-        if ((tend_q.eq.1).and.(tend_w.eq.0)) THEN
+        IF ((tend_q.EQ.1).AND.(tend_w.EQ.0)) THEN
 !           d_q_adv(l,1)=dq_mod_cas(l)
            d_q_adv(l,1)=-1*dq_mod_cas(l)
-        else if ((tend_q.eq.1).and.(tend_w.eq.1)) THEN
+        ELSE IF ((tend_q.EQ.1).AND.(tend_w.EQ.1)) THEN
 !           d_q_adv(l,1)=hq_mod_cas(l)-d_q_dyn_z(l)
            d_q_adv(l,1)=-1*hq_mod_cas(l)-d_q_dyn_z(l)
         endif
          
-        if (tend_rayo.eq.1) THEN
+        IF (tend_rayo.EQ.1) THEN
            dt_cooling(l) = dtrad_mod_cas(l)
 !          print *,'dt_cooling=',dt_cooling(l)
@@ -814,5 +814,5 @@
 ! Interpolation forcing standard case
 !---------------------------------------------------------------------
-      if (forcing_case2 .OR. forcing_SCM) THEN
+      IF (forcing_case2 .OR. forcing_SCM) THEN
          PRINT*,'FORCING CASE forcing_case2'
         PRINT*,                                                             &
@@ -904,5 +904,5 @@
 
 !geostrophic wind 
-      if (forc_geo.eq.1) THEN
+      IF (forc_geo.EQ.1) THEN
         do l=1,llm
         ug(l) = ug_mod_cas(l) 
@@ -911,5 +911,5 @@
       endif
 !wind nudging 
-      if (nudging_u.gt.0.) THEN
+      IF (nudging_u.gt.0.) THEN
         do l=1,llm
            u(l)=u(l)+timestep*(u_mod_cas(l)-u(l))/(nudge_u)
@@ -921,5 +921,5 @@
       endif
 
-      if (nudging_v.gt.0.) THEN
+      IF (nudging_v.gt.0.) THEN
         do l=1,llm
            v(l)=v(l)+timestep*(v_mod_cas(l)-v(l))/(nudge_v)
@@ -931,5 +931,5 @@
       endif
 
-      if (nudging_w.gt.0.) THEN
+      IF (nudging_w.gt.0.) THEN
         do l=1,llm
            w(l)=w(l)+timestep*(w_mod_cas(l)-w(l))/(nudge_w)
@@ -942,10 +942,10 @@
 
 !nudging of q and temp 
-      if (nudging_t.gt.0.) THEN
+      IF (nudging_t.gt.0.) THEN
         do l=1,llm
            temp(l)=temp(l)+timestep*(t_mod_cas(l)-temp(l))/(nudge_t)
         enddo
       endif
-      if (nudging_qv.gt.0.) THEN
+      IF (nudging_qv.gt.0.) THEN
         do l=1,llm
            q(l,1)=q(l,1)+timestep*(q_mod_cas(l)-q(l,1))/(nudge_q)
@@ -960,13 +960,13 @@
 
 !calcul advections
-        if ((forc_u.eq.1).and.(forc_w.eq.0)) THEN
+        IF ((forc_u.EQ.1).AND.(forc_w.EQ.0)) THEN
            d_u_adv(l)=du_mod_cas(l)
-        else if ((forc_u.eq.1).and.(forc_w.eq.1)) THEN
+        ELSE IF ((forc_u.EQ.1).AND.(forc_w.EQ.1)) THEN
            d_u_adv(l)=hu_mod_cas(l)-d_u_dyn_z(l)
         endif
 
-        if ((forc_v.eq.1).and.(forc_w.eq.0)) THEN
+        IF ((forc_v.EQ.1).AND.(forc_w.EQ.0)) THEN
            d_v_adv(l)=dv_mod_cas(l)
-        else if ((forc_v.eq.1).and.(forc_w.eq.1)) THEN
+        ELSE IF ((forc_v.EQ.1).AND.(forc_w.EQ.1)) THEN
            d_v_adv(l)=hv_mod_cas(l)-d_v_dyn_z(l)
         endif
@@ -974,29 +974,29 @@
 ! Puisque dth a ete converti en dt, on traite de la meme facon 
 ! les flags tadv et thadv
-        if ((tadv.eq.1.or.thadv.eq.1) .and. (forc_w.eq.0)) THEN
+        IF ((tadv.EQ.1.OR.thadv.EQ.1) .AND. (forc_w.EQ.0)) THEN
 !          d_t_adv(l)=alpha*omega(l)/rcpd-dt_mod_cas(l)
            d_t_adv(l)=alpha*omega(l)/rcpd+dt_mod_cas(l)
-        else if ((tadv.eq.1.or.thadv.eq.1) .and. (forc_w.eq.1)) THEN
+        ELSE IF ((tadv.EQ.1.OR.thadv.EQ.1) .AND. (forc_w.EQ.1)) THEN
 !          d_t_adv(l)=alpha*omega(l)/rcpd-ht_mod_cas(l)-d_t_dyn_z(l)
            d_t_adv(l)=alpha*omega(l)/rcpd+ht_mod_cas(l)-d_t_dyn_z(l)
         endif
 
-!       if ((thadv.eq.1) .and. (forc_w.eq.0)) THEN
+!       if ((thadv.EQ.1) .AND. (forc_w.EQ.0)) THEN
 !          d_t_adv(l)=alpha*omega(l)/rcpd-dth_mod_cas(l)
 !          d_t_adv(l)=alpha*omega(l)/rcpd+dth_mod_cas(l)
-!       else if ((thadv.eq.1) .and. (forc_w.eq.1)) THEN
+!       ELSE IF ((thadv.EQ.1) .AND. (forc_w.EQ.1)) THEN
 !          d_t_adv(l)=alpha*omega(l)/rcpd-hth_mod_cas(l)-d_t_dyn_z(l)
 !          d_t_adv(l)=alpha*omega(l)/rcpd+hth_mod_cas(l)-d_t_dyn_z(l)
 !       endif
 
-        if ((qadv.eq.1) .and. (forc_w.eq.0)) THEN
+        IF ((qadv.EQ.1) .AND. (forc_w.EQ.0)) THEN
            d_q_adv(l,1)=dq_mod_cas(l)
 !          d_q_adv(l,1)=-1*dq_mod_cas(l)
-        else if ((qadv.eq.1) .and. (forc_w.eq.1)) THEN
+        ELSE IF ((qadv.EQ.1) .AND. (forc_w.EQ.1)) THEN
            d_q_adv(l,1)=hq_mod_cas(l)-d_q_dyn_z(l)
 !          d_q_adv(l,1)=-1*hq_mod_cas(l)-d_q_dyn_z(l)
         endif
          
-        if (trad.eq.1) THEN
+        IF (trad.EQ.1) THEN
            tend_rayo=1
            dt_cooling(l) = dtrad_mod_cas(l)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/old_1D_read_forc_cases.h	(revision 5117)
@@ -11,7 +11,7 @@
       nq2=0
 
-      if (forcing_les .or. forcing_radconv                                      &
-     &    .or. forcing_GCSSold .or. forcing_fire) THEN
-      if (forcing_fire) THEN
+      IF (forcing_les .OR. forcing_radconv                                      &
+     &    .OR. forcing_GCSSold .OR. forcing_fire) THEN
+      IF (forcing_fire) THEN
 !----------------------------------------------------------------------
 !read fire forcings from fire.nc
@@ -51,9 +51,9 @@
         ! Above the max altutide of the input file
 
-        if (zlay(l)<height(kmax)) mxcalc=l
+        IF (zlay(l)<height(kmax)) mxcalc=l
 
         frac = (height(kmax)-zlay(l))/(height (kmax)-height(kmax-1))
         ttt =tttprof(kmax)-frac*(tttprof(kmax)-tttprof(kmax-1))
-       if ((forcing_GCSSold .AND. tp_ini_GCSSold) .OR. forcing_fire)then ! pot. temp. in initial profile
+       IF ((forcing_GCSSold .AND. tp_ini_GCSSold) .OR. forcing_fire)then ! pot. temp. in initial profile
           temp(l) = ttt*(play(l)/pzero)**rkappa
           teta(l) = ttt
@@ -78,7 +78,7 @@
           frac = (height(k)-zlay(l))/(height(k)-height(k-1))
           IF(l==1) PRINT*,'k, height, tttprof',k,height(k),tttprof(k)
-          IF(zlay(l)>height(k-1).and.zlay(l)<height(k)) THEN
+          IF(zlay(l)>height(k-1).AND.zlay(l)<height(k)) THEN
             ttt =tttprof(k)-frac*(tttprof(k)-tttprof(k-1))
-       if ((forcing_GCSSold .AND. tp_ini_GCSSold) .OR. forcing_fire)then ! pot. temp. in initial profile
+       IF ((forcing_GCSSold .AND. tp_ini_GCSSold) .OR. forcing_fire)then ! pot. temp. in initial profile
           temp(l) = ttt*(play(l)/pzero)**rkappa
           teta(l) = ttt
@@ -100,5 +100,5 @@
           elseif(zlay(l)<height(1)) then ! profils uniformes pour z<height(1)
             ttt =tttprof(1)
-       if ((forcing_GCSSold .AND. tp_ini_GCSSold) .OR. forcing_fire)then ! pot. temp. in initial profile
+       IF ((forcing_GCSSold .AND. tp_ini_GCSSold) .OR. forcing_fire)then ! pot. temp. in initial profile
           temp(l) = ttt*(play(l)/pzero)**rkappa
           teta(l) = ttt
@@ -121,10 +121,10 @@
         temp(l)=max(min(temp(l),350.),150.)
         rho(l)  = play(l)/(rd*temp(l)*(1.+(rv/rd-1.)*q(l,1)))
-        if (l .lt. llm) THEN
+        IF (l .lt. llm) THEN
           zlay(l+1) = zlay(l) + (play(l)-play(l+1))/(rg*rho(l))
         endif
         omega2(l)=-rho(l)*omega(l)
         omega(l)= omega(l)*(-rg*rho(l)) !en Pa/s
-        if (l>1) THEN
+        IF (l>1) THEN
         IF(zlay(l-1)>height(kmax)) THEN
            omega(l)=0.0
@@ -136,10 +136,10 @@
       enddo
 
-      endif ! forcing_les .or. forcing_GCSSold .or. forcing_fire
+      endif ! forcing_les .OR. forcing_GCSSold .OR. forcing_fire
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 !---------------------------------------------------------------------
 ! Forcing for GCSSold:
 !---------------------------------------------------------------------
-      if (forcing_GCSSold) THEN
+      IF (forcing_GCSSold) THEN
        fich_gcssold_ctl = './forcing.ctl'
        fich_gcssold_dat = './forcing8.dat'
@@ -157,5 +157,5 @@
 ! Forcing for RICO:
 !---------------------------------------------------------------------
-      if (forcing_rico) THEN
+      IF (forcing_rico) THEN
 !       CALL writefield_phy('omega', omega,llm+1)
       fich_rico = 'rico.txt'
@@ -185,5 +185,5 @@
 !---------------------------------------------------------------------
 
-      if (forcing_toga) THEN
+      IF (forcing_toga) THEN
 ! read TOGA-COARE forcing (native vertical grid, nt_toga timesteps):
       fich_toga = './d_toga/ifa_toga_coare_v21_dime.txt'
@@ -236,5 +236,5 @@
 !---------------------------------------------------------------------
 
-      if (forcing_twpice) THEN
+      IF (forcing_twpice) THEN
 !read TWP-ICE forcings
      fich_twpice='d_twpi/twp180iopsndgvarana_v2.1_C3.c1.20060117.000000.cdf'
@@ -290,5 +290,5 @@
 !---------------------------------------------------------------------
 
-      if (forcing_amma) THEN
+      IF (forcing_amma) THEN
       CALL read_1D_cases
 
@@ -360,5 +360,5 @@
 !---------------------------------------------------------------------
 
-      if (forcing_dice) THEN
+      IF (forcing_dice) THEN
 !read DICE forcings
       fich_dice='dice_driver.nc'
@@ -475,5 +475,5 @@
 !!!! Si la temperature de surface n'est pas impos??e:
   
-      if (forcing_gabls4) THEN
+      IF (forcing_gabls4) THEN
 !read GABLS4 forcings
       
@@ -586,5 +586,5 @@
 !---------------------------------------------------------------------
 
-      if (forcing_armcu) THEN
+      IF (forcing_armcu) THEN
 ! read armcu forcing :
        WRITE(*,*) 'Avant lecture Forcing Arm_Cu'
@@ -685,5 +685,5 @@
 !---------------------------------------------------------------------
 
-      if (forcing_sandu) THEN
+      IF (forcing_sandu) THEN
        WRITE(*,*) 'Avant lecture Forcing SANDU'
 
@@ -759,5 +759,5 @@
 !---------------------------------------------------------------------
 
-      if (forcing_astex) THEN
+      IF (forcing_astex) THEN
        WRITE(*,*) 'Avant lecture Forcing Astex'
 
@@ -835,5 +835,5 @@
 !---------------------------------------------------------------------
 
-      if (forcing_case) THEN
+      IF (forcing_case) THEN
          WRITE(*,*) 'avant CALL read_1D_cas'
          CALL read_1D_cas
@@ -909,5 +909,5 @@
 !---------------------------------------------------------------------
 
-      if (forcing_case2) THEN
+      IF (forcing_case2) THEN
          WRITE(*,*) 'avant CALL read2_1D_cas'
          CALL read2_1D_cas
@@ -1007,5 +1007,5 @@
 !---------------------------------------------------------------------
 
-      if (forcing_SCM) THEN
+      IF (forcing_SCM) THEN
          WRITE(*,*) 'avant CALL old_read_SCM_cas'
          CALL old_read_SCM_cas
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/dyn1d/replay1d.F90	(revision 5117)
@@ -18,7 +18,7 @@
 REAL :: rlat_rad(1),rlon_rad(1)
 
-integer ntime
-integer jour0,mois0,an0,day_step,anneeref,dayref
-integer klev,klon
+INTEGER ntime
+INTEGER jour0,mois0,an0,day_step,anneeref,dayref
+INTEGER klev,klon
 CHARACTER (len=10) :: calend
 CHARACTER(len=20) :: calendrier
@@ -104,5 +104,5 @@
  
       CHARACTER(LEN=*) modname
-      integer ierr
+      INTEGER ierr
       CHARACTER(LEN=*) message
  
@@ -114,5 +114,5 @@
       CALL getin_dump
 
-      if (ierr == 0) THEN
+      IF (ierr == 0) THEN
         WRITE(*,*) 'Everything is cool'
       else
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ecumev6_flux.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ecumev6_flux.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ecumev6_flux.F90	(revision 5117)
@@ -145,5 +145,5 @@
 REAL, DIMENSION(klon), INTENT(OUT)   :: PRI        ! Richardson number
 REAL, DIMENSION(klon), INTENT(OUT)   :: PRESA      ! aerodynamical resistance
-real, dimension(3), intent(out)   :: coeffs
+REAL, DIMENSION(3), INTENT(OUT)   :: coeffs
 
 !       0.2. Declarations of local variables
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/ener_conserv.F90	(revision 5117)
@@ -50,5 +50,5 @@
 
 ! Local
-      integer k,i
+      INTEGER k,i
 REAL, DIMENSION(klon,klev+1) :: fluxu,fluxv,fluxt
 REAL, DIMENSION(klon,klev+1) :: dddu,dddv,dddt
@@ -148,5 +148,5 @@
          d_v_vdf(:,:)=d_v_vdf(:,:)+dv_gwd_hines(:,:)
       ENDIF
-      IF (.not. ok_hines .and. ok_gwd_rando) THEN
+      IF (.NOT. ok_hines .AND. ok_gwd_rando) THEN
          d_u_vdf(:,:)=d_u_vdf(:,:)+du_gwd_front(:,:)
          d_v_vdf(:,:)=d_v_vdf(:,:)+dv_gwd_front(:,:)
@@ -165,5 +165,5 @@
 !----------------------------------------------------------------------------
 
-   if (iflag_ener_conserv==2) THEN
+   IF (iflag_ener_conserv==2) THEN
       zu(:,:)=puo(:,:)
       zv(:,:)=pvo(:,:)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/fcg_gcssold.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/fcg_gcssold.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/fcg_gcssold.h	(revision 5117)
@@ -2,7 +2,7 @@
 ! $Id: fcg_gcssold.h 2010-08-10 17:02:56Z lahellec $
 
-      logical :: imp_fcg_gcssold,ts_fcg_gcssold,Tp_fcg_gcssold
-      logical :: Tp_ini_gcssold
-      logical :: xTurb_fcg_gcssold
+      LOGICAL :: imp_fcg_gcssold,ts_fcg_gcssold,Tp_fcg_gcssold
+      LOGICAL :: Tp_ini_gcssold
+      LOGICAL :: xTurb_fcg_gcssold
 
       common /fcg_gcssold/imp_fcg_gcssold,ts_fcg_gcssold,Tp_fcg_gcssold,        & 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/flott_gwd_rando_m.F90	(revision 5117)
@@ -18,6 +18,6 @@
 
     !ONLINE:
-    use dimphy, ONLY: klon, klev
-    use lmdz_assert, ONLY: assert
+    USE dimphy, ONLY: klon, klev
+    USE lmdz_assert, ONLY: assert
     USE lmdz_ioipsl_getin_p, ONLY: getin_p
     USE lmdz_vertical_layers, ONLY: presnivs
@@ -37,17 +37,17 @@
 
     ! 0.1 INPUTS
-    REAL, intent(in) :: DTIME ! Time step of the Physics
-    REAL, intent(in) :: pp(:, :) ! (KLON, KLEV) Pressure at full levels
-    REAL, intent(in) :: prec(:) ! (klon) Precipitation (kg/m^2/s)
-    REAL, intent(in) :: TT(:, :) ! (KLON, KLEV) Temp at full levels
-    REAL, intent(in) :: UU(:, :) ! (KLON, KLEV) Zonal wind at full levels
-    REAL, intent(in) :: VV(:, :) ! (KLON, KLEV) Merid wind at full levels
+    REAL, INTENT(IN) :: DTIME ! Time step of the Physics
+    REAL, INTENT(IN) :: pp(:, :) ! (KLON, KLEV) Pressure at full levels
+    REAL, INTENT(IN) :: prec(:) ! (klon) Precipitation (kg/m^2/s)
+    REAL, INTENT(IN) :: TT(:, :) ! (KLON, KLEV) Temp at full levels
+    REAL, INTENT(IN) :: UU(:, :) ! (KLON, KLEV) Zonal wind at full levels
+    REAL, INTENT(IN) :: VV(:, :) ! (KLON, KLEV) Merid wind at full levels
 
     ! 0.2 OUTPUTS
-    REAL, intent(out) :: zustr(:), zvstr(:) ! (KLON) Surface Stresses
-
-    REAL, intent(inout) :: d_u(:, :), d_v(:, :)
-    REAL, intent(inout) :: east_gwstress(:, :) !  Profile of eastward stress
-    REAL, intent(inout) :: west_gwstress(:, :) !  Profile of westward stress
+    REAL, INTENT(OUT) :: zustr(:), zvstr(:) ! (KLON) Surface Stresses
+
+    REAL, INTENT(INOUT) :: d_u(:, :), d_v(:, :)
+    REAL, INTENT(INOUT) :: east_gwstress(:, :) !  Profile of eastward stress
+    REAL, INTENT(INOUT) :: west_gwstress(:, :) !  Profile of westward stress
 
     ! (KLON, KLEV) tendencies on winds
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/flux_arp.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/flux_arp.h	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/flux_arp.h	(revision 5117)
@@ -3,8 +3,8 @@
 ! Modif EV, 10/2020
 
-      logical :: ok_flux_surf
-      logical :: ok_prescr_ust !for prescribed ustar
-      logical :: ok_prescr_beta
-      logical :: ok_forc_tsurf
+      LOGICAL :: ok_flux_surf
+      LOGICAL :: ok_prescr_ust !for prescribed ustar
+      LOGICAL :: ok_prescr_beta
+      LOGICAL :: ok_forc_tsurf
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/fonte_neige_mod.F90	(revision 5117)
@@ -617,5 +617,5 @@
 !    ! inputs
 !    INTEGER, INTENT(IN)                      :: knon
-!    real, INTENT(IN), DIMENSION(niso,klon)   :: xtrun_off_lic_0_diag
+!    REAL, INTENT(IN), DIMENSION(niso,klon)   :: xtrun_off_lic_0_diag
 
 !    xtrun_off_lic_0(:,:)=xtrun_off_lic_0_diag(:,:)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/freinage.F90	(revision 5117)
@@ -6,5 +6,5 @@
 
     !ONLINE:
-    use dimphy, ONLY: klon, klev
+    USE dimphy, ONLY: klon, klev
 !    USE control, ONLY: nvm
 !    USE indice_sol_mod, ONLY: nvm_orch
@@ -96,8 +96,8 @@
       sumveg(i,k)= sumveg(i,k)+ veget(i,jv)
 
-!      if  ( (height(i,jv) .gt. yzlay(i,k)) .AND. (height(i,jv) .gt. 0.1) .and. LAI(i,jv).gt.0. ) THEN
-      if  ( (height(i,jv) > yzlay(i,k)) .AND. (height(i,jv) > 0.1) ) THEN
+!      if  ( (height(i,jv) .gt. yzlay(i,k)) .AND. (height(i,jv) .gt. 0.1) .AND. LAI(i,jv).gt.0. ) THEN
+      IF  ( (height(i,jv) > yzlay(i,k)) .AND. (height(i,jv) > 0.1) ) THEN
 !FC attention veut on le test sur le LAI ?
-         if (ifl_pbltree==1) THEN
+         IF (ifl_pbltree==1) THEN
       drag_pro(i,k)= drag_pro(i,k)+ &
       veget(i,jv)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/global_mean.F90	(revision 5117)
@@ -8,17 +8,17 @@
   USE lmdz_phys_para, ONLY: is_sequential
   USE lmdz_phys_transfert_para, ONLY: reduce_sum
-  use lmdz_phys_mpi_data, ONLY: is_mpi_root
+  USE lmdz_phys_mpi_data, ONLY: is_mpi_root
   USE ioipsl
   IMPLICIT NONE
 
-  real,dimension(klon),intent(in) :: field
-  real,dimension(klon),intent(in) :: airephy
-  LOGICAL, intent(in) :: laire
-  REAL, intent(out) :: mfield
+  REAL,DIMENSION(klon),INTENT(IN) :: field
+  REAL,DIMENSION(klon),INTENT(IN) :: airephy
+  LOGICAL, INTENT(IN) :: laire
+  REAL, INTENT(OUT) :: mfield
   REAL :: airetot     ! Total area the earth
   REAL :: sumtmp
   INTEGER :: i
 
-  if (is_sequential) THEN
+  IF (is_sequential) THEN
    airetot = 0.
    sumtmp = 0.
@@ -27,5 +27,5 @@
     sumtmp = sumtmp + field(i)
    END DO
-   if (laire) THEN
+   IF (laire) THEN
     IF(airetot/=0.) THEN
      mfield=sumtmp/airetot
@@ -41,6 +41,6 @@
 
 !$OMP MASTER
-  if (is_mpi_root) THEN
-  if (laire) THEN
+  IF (is_mpi_root) THEN
+  IF (laire) THEN
 !  PRINT*,'gmean airetot=',airetot
    IF(airetot/=0.) THEN
@@ -51,12 +51,12 @@
   else
    mfield=sumtmp
-  endif
+  ENDIF
 
 ! PRINT*,'gmean sumtmp mfield=',sumtmp,mfield
 
-  endif !(is_mpi_root) THEN
+  ENDIF !(is_mpi_root) THEN
 !$OMP END MASTER
 
-  endif
+  ENDIF
 
   END SUBROUTINE  global_mean
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/grid_index.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/grid_index.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/grid_index.F90	(revision 5117)
@@ -8,10 +8,10 @@
 USE lmdz_geometry, ONLY: latitude_deg, longitude_deg
 IMPLICIT NONE
-real, intent(in) :: lon_deg,lat_deg
+REAL, INTENT(IN) :: lon_deg,lat_deg
 INTEGER :: grid_index
-integer i
+INTEGER i
 grid_index=0
 DO i=1,klon
-   if ( abs(lon_deg-longitude_deg(i)) < 0.02 .and.  abs(lat_deg-latitude_deg(i)) < 0.02 ) THEN
+   IF ( abs(lon_deg-longitude_deg(i)) < 0.02 .AND.  abs(lat_deg-latitude_deg(i)) < 0.02 ) THEN
         grid_index=i
         exit
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/hbtm2l.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/hbtm2l.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/hbtm2l.F90	(revision 5117)
@@ -313,7 +313,7 @@
       ! wm=u_star/Phim
       ! ;;;;;;;;;;;En dehors de la couche de surface
-      ! endif else if (z(ind) gt 20) then begin
+      ! END IF ELSE IF (z(ind) gt 20) then begin
       ! wm=(u_star^3+c1*w_star^3)^(1/3.)
-      ! endif
+      ! END IF
       ! ***************************************************
       wm(i) = ustar(i)*phiminv(i)
@@ -333,5 +333,5 @@
       ! theta_s(i,j)=thetav_10(i,j)+sqrt(dTetavs)
       ! q_s(i,j)=q_10(i,j)+sqrt(dqs)
-      ! endif else begin
+      ! END IF else begin
       ! Theta_s(i,j)=thetav_10(i,j)
       ! q_s(i,j)=q_10(i,j)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/hbtm_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/hbtm_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/hbtm_mod.F90	(revision 5117)
@@ -114,5 +114,5 @@
     ! AM      REAL ztvd, ztvu,
     REAL zdu2
-    REAL, intent(out):: therm(:) ! (klon) thermal virtual temperature excess
+    REAL, INTENT(OUT):: therm(:) ! (klon) thermal virtual temperature excess
     REAL trmb1(klon), trmb2(klon), trmb3(klon)
     ! Algorithme thermique
@@ -420,7 +420,7 @@
           ! wm=u_star/Phim
           ! ;;;;;;;;;;;En dehors de la couche de surface
-          ! endif else if (z(ind) gt 20) then begin
+          ! END IF ELSE IF (z(ind) gt 20) then begin
           ! wm=(u_star^3+c1*w_star^3)^(1/3.)
-          ! endif
+          ! END IF
           ! ***************************************************
           wm(i) = ustar(i)*phiminv(i)
@@ -442,5 +442,5 @@
           ! theta_s(i,j)=thetav_10(i,j)+sqrt(dTetavs)
           ! q_s(i,j)=q_10(i,j)+sqrt(dqs)
-          ! endif else begin
+          ! END IF else begin
           ! Theta_s(i,j)=thetav_10(i,j)
           ! q_s(i,j)=q_10(i,j)
@@ -642,5 +642,5 @@
              ! if (i.EQ.1864) THEN
              ! PRINT*,'i,pblh(1864),obklen(1864)',i,pblh(i),obklen(i)
-             ! endif
+             ! END IF
 
              zh(i) = zmzp/pblh(i)
